---
- name: Ansible Retirement Playbook
  hosts: localhost
  gather_facts: no

  vars:
    project_name: ansible-test-project
    service_url: "{{ manageiq.api_url }}/api/{{ manageiq.service }}"

  tasks:
  - name: Get service details
    uri:
      url: "{{ service_url }}"
      method: GET
      validate_certs: no
      headers:
        X-Auth-Token: "{{ manageiq.api_token }}"
        Content-Type: "application/json"
      body_format: json
      return_content: yes
    register: service_output
    tags: cfme

  - debug: var=service_output 
    tags: cfme 

  - set_fact: project_name="{{ service_output.json.options.dialog.dialog_param_project_name }}"
    tags: cfme
 
  - debug: var=project_name
